curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/get" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_version": "beta"
}'{
"request_id": "f6a7b8c9-d0e1-2345-fabc-456789012345",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_name": "客服知识问答助手",
"agent_desc": "基于产品文档的智能客服问答 Agent",
"agent_scene": "chat",
"agent_status": "deployed",
"create_time": "2026-07-10T14:30:00",
"modify_time": "2026-07-15T09:15:00",
"agent_details": [
{
"agent_version": "beta",
"agent_version_desc": "草稿版本",
"publish_time": null,
"agent_config": {
"agent_policy": "agentic",
"agent_model": "qwen3.7-plus",
"enable_session_file": "false",
"enable_refusal": "true",
"enable_anti_leak": "false",
"enable_rich_text": "false",
"enable_citation": "true",
"temperature": 0.5,
"kb_search_configs": [
{
"id": "pipeline-xxxxxx",
"weight": 1,
"credibility_level": "high",
"dense_similarity_top_k": 10,
"rerank_top_n": 5,
"rerank_min_score": 0.3,
"rerank": {
"model_name": "gte-rerank-hybrid",
"rerank_mode": "qa"
}
}
]
}
}
]
}
}agent_version 时返回所有版本详情。
"release" 作为 agent_version。Authorizations
DashScope API Key,在控制台 API Key 页面 获取。
Response
请求唯一标识,排查问题时请提供此 ID。
HTTP 状态码。
响应码,成功时为 Success。
提示信息。
请求状态:SUCCESS 或 FAILED。
请求是否成功。
Show child attributes
Show child attributes
Agent ID。
Agent 名称。
Agent 描述。
Agent 场景:chat 或 search。
Agent 状态。
创建时间(ISO 8601 格式)。
修改时间(ISO 8601 格式)。
Agent 版本详情列表。不指定 agent_version 时返回所有版本。
Show child attributes
Show child attributes
版本号,beta 或数字(如 1、2)。
版本描述。
发布时间(ISO 8601 格式),beta 版本无此字段。
Agent 配置对象,不传则使用默认配置。
Show child attributes
Show child attributes
Agent 使用的模型名称,如 qwen3.7-plus、qwen3.6-plus。
Agent 策略:turbo(极速模式)或 agentic(智能体模式)。
是否开启防泄漏功能,true 或 false。
是否开启引用标注,true 或 false。
是否开启拒答功能,true 或 false。
是否开启富文本输出,true 或 false。
是否开启会话文件功能,true 或 false。
知识库检索配置列表。
Show child attributes
Show child attributes
知识库可信度等级:low、medium、high。不传时默认回填 medium。
稠密检索返回的 Top-K 数量,范围 [1, 100]。
关联的知识库 Pipeline ID。
重排序最低分数阈值,范围 [0, 1],分数低于此值的切片会被过滤。
重排序后保留的 Top-N 数量,范围 [1, 20]。
检索过滤条件,按知识库 schema 校验。
稀疏检索 Top K,范围 [0, 100]。
知识库权重。
知识库名称。
知识库描述。
该知识库是否开启查询改写。
最大生成 token 数,须大于等于 1。
Agent 最大 LLM 调用次数,范围 [1, 30]。
混排 Top N(search 场景),范围 [1, 20]。
会话文件最大解析长度,须小于模型的 max_context_length。
模型采样温度,取值范围 [0, 2]。
自定义系统提示词(chat 场景),放在 agent_config 顶层,透传不校验,长度/生效由下游运行时决定。注意字段名是 user_system_prompt 而非 system_prompt。
防泄漏提示词。
拒答提示词。
可信度提示词。
是否开启思考过程。
是否启用自定义温度参数。
是否开启可信度校验。
是否启用最大输出 token 限制。
会话文件解析模式。
发布人。